AgentsList agent training documents

List agent training documents

curl -X GET "https://api.sendkit.ai/v1/agents/example_string/documents" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: YOUR_API_KEY"
{
  "success": true,
  "data": [
    {
      "fileName": "John Doe",
      "fileKey": "example_string",
      "fileUrl": "example_string",
      "fileType": "pdf",
      "fileSize": 42,
      "uploadedAt": "2024-12-25T10:00:00Z",
      "status": "processing"
    }
  ]
}
GET
/v1/agents/{agentId}/documents
GET
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-Api-Key)
X-Api-Keystring
Required

Platform API key (sk_user_...) or Workspace API key (sk_...)

Platform API key (sk_user_...) or Workspace API key (sk_...)
Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-Api-Keystring
Required

API Key for authentication. Platform API key (sk_user_...) or Workspace API key (sk_...)

Path Parameters

Responses

successboolean
dataarray